﻿/*
 * Copyright (c) 2010, Sergey Loktin (mailto://shadowconsp@gmail.com)
 * Licensed under The MIT License (http://www.opensource.org/licenses/mit-license.php)
*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MoonyDesk
{
    /// <summary>
    /// Interaction logic for PluginSettingsTab.xaml
    /// TabItem for plugin in settings window
    /// </summary>
    public partial class PluginSettingsTab : TabItem
    {
        public static readonly DependencyProperty ImageSourceProperty = DependencyProperty.Register(
          "ImageSource", typeof(ImageSource), typeof(PluginSettingsTab), new PropertyMetadata(null));
        public ImageSource ImageSource
        {
            get { return (ImageSource)this.GetValue(ImageSourceProperty); }
            set { this.SetValue(ImageSourceProperty, value); }
        }

        public static readonly DependencyProperty TextProperty = DependencyProperty.Register(
          "Text", typeof(string), typeof(PluginSettingsTab), new PropertyMetadata(string.Empty));
        public string Text
        {
            get { return (string)this.GetValue(TextProperty); }
            set { this.SetValue(TextProperty, value); }
        }

        public PluginSettingsTab()
        {
            InitializeComponent();
            header.DataContext = this;
        }
    }
}
